Subject: migrants

From: Dick Walton <[email-masked]>
Date: Thu, 20 Apr 1995 20:28:48 -0400

Today, April 20, Painted Ladies (V. cardui) were seen in 3 different locales
in Massachusetts (Chatham, Foxboro, and Milton). Also, a Red Admiral (V.
atalanta) was reported from the Chatham area. Today was the first day that
numbers (20+) of Spring Azures (C. ladon) were observed. Temps reached the
mid-60s; winds were 10-15 NW, and skies were mostly clear.

Cheers, Dick Walton